AOZ Studio Beta - Bug #663

Channel x To Screen Size y fails.
02/14/2021 10:36 PM - Brian Flanagan

Status: Resolved Start date: 02/14/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: 1.0.0 (B10) u16

Description

For example:

Channel 1 To Screen Size 2

Fails at Size. (Screen Display and Screen Offset work fine.)

History

#1 - 02/16/2021 12:28 PM - Brian Flanagan

re-tested on 2/16/2021.
Still fails with Syntax error.

#2 - 02/22/2021 01:00 AM - Brian Flanagan

- Affected version changed from 1.0.0 (B3) to 1.0.0 (B4)
Re-tested in beta 4 (macOS). Problem still exists.
Syntax error occurs.

I'm guessing that Screen Size was never implemented.

#3 - 03/31/2021 11:28 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B6a)

Re-tested in 1.0.0 (B6a).
Still fails.

#4 - 06/14/2021 01:35 AM - Brian Flanagan
- Assignee set to Baptiste Bideaux

- Affected version changed from 1.0.0 (B6a) to 1.0.0 (B8)

Re-tested on B8 v14 in macOS.
Still fails with Syntax Error.

#5 - 09/22/2021 11:31 AM - Brian Flanagan
- Subject changed from Channel is not linked to Screen Size to Channel x To Screen Size y fails.
- Assignee changed from Baptiste Bideaux to Francois Lionet

- Affected version changed from 1.0.0 (B8) to 1.0.0 (B10) u16

No longer gets syntax error, but another error is produced when attempting to use it.
It is broken in either manifest.

In the Amiga manifest, results in infinite guru... but the same error is produced with each loop.
Example:

Screen Open 0,320,200,32,Lowres
Draw 0,0 TO 319,199
Draw 0,199 To 319,0

// This example from AMOS Pro manual, page 07.06.15
Channel 0 To Screen Size 0

Screen Display 0,,,320,1 ' Screen height to 1
AS$="Loop: For RO=0 To 255; Let Y=R0O; Next RO;"
AS$=AS$+"For RO=0 To 254; Let Y=255-R0O; Next RO; J Loop"
Amal 0,A$ : Amal On

Do
Wait Vbl
Loop

The above results in the following error:

this.setDimensions is not a function
VM7486 raoz.]js:1298 TypeError: this.setDimensions is not a function
at Screen.AOZ.set_height (VM7486 raoz.]js:6363)
at AMALChannel.update (VM7402 ramal.js:378)
at AMAL.doSynchro (VM7402 ramal.js:172)
at AOZ.doSynchro (VM7486 raoz.js:1469)
at AOZ.doUpdate (VM7486 raoz.js:526)
at VM7486 raoz.js:768

#6 - 09/28/2021 05:05 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!
